Update user profile information for a business profile.
If user profile has been verified then there are restrictions on what information is allowed to change.
Where permitted, use the update window functionality by opening the update window, submitting the updated information using this endpoint, and finally closing the update window.
See Business Categories for the list of valid industryCategories values. Send either industryCategories or the deprecated firstLevelCategory/secondLevelCategory pair, changing both in one request returns a 400. If you currently send the legacy fields, see Migrating to industry categories.
Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.
Business profile ID. This must match the business profile ID supplied in the URL.
Business name in Katakana (only for Japanese businesses).
Company legal form.
An external reference identifier mapping the customer of this profile to your system.
One or more industry categories classifying the business. See Business Categories for the full list of valid values.
[ "SOFTWARE_DEVELOPMENT_PUBLISHING", "IT_CONSULTANCY_TECHNICAL_SUPPORT_SERVICES" ]
Business webpage. Required if companyType is OTHER. If this is not provided for an OTHER companyType, the profile should not be allowed to create a transfer. For the rest of the companyTypes, it is highly recommended to always provide the business' website, to avoid payment issues such as suspensions. Wise will send a request for information (RFI) if this detail is not provided.
Legacy primary business category. Use industryCategories instead. Cannot be combined with industryCategories.
Legacy secondary business category. Use industryCategories instead. Cannot be combined with industryCategories.
- Production Environmenthttps://api.wise.com/2026Q3/profiles/{profileId}/business-profile
- Sandbox Environmenthttps://api.wise-sandbox.com/2026Q3/profiles/{profileId}/business-profile
- UserToken
- PersonalToken
curl -i -X PUT \
'https://api.wise.com/2026Q3/profiles/{profileId}/business-profile' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479' \
-d '{
"id": 14599371,
"businessName": "ABC Logistics Ltd",
"businessNameInKatakana": null,
"businessFreeFormDescription": "Biz free form desc",
"registrationNumber": "12144939",
"acn": null,
"abn": null,
"arbn": null,
"companyType": "LIMITED",
"address": {
"addressFirstLine": "1 A road",
"city": "London",
"countryIso2Code": "gb",
"countryIso3Code": "gbr",
"postCode": "11111",
"stateCode": "strin"
},
"companyRole": "OWNER",
"externalCustomerId": "67890-biz-acct",
"industryCategories": [
"SOFTWARE_DEVELOPMENT_PUBLISHING",
"IT_CONSULTANCY_TECHNICAL_SUPPORT_SERVICES"
],
"firstLevelCategory": "CONSULTING_IT_BUSINESS_SERVICES",
"secondLevelCategory": "DESIGN",
"operationalAddresses": [
{
"addressFirstLine": "1 A road",
"city": "London",
"countryIso2Code": "gb",
"countryIso3Code": "gbr",
"postCode": "11111",
"stateCode": "strin"
}
],
"webpage": "https://abc-logistics.com"
}'Updated business profile.
Echoed back when X-External-Correlation-Id was included in the request. Learn more.
Publicly accessible identifier for the profile.
Timestamp when the profile was created (ISO 8601 format).
Timestamp when the profile was last updated (ISO 8601 format).
Current status of this profile.
Role of the person managing the business profile.
Free-form description of the business activities.
One or more industry categories classifying the business. See Business Categories for the full list of valid values.
Populated only when the profile was classified with industryCategories, otherwise null. Create and update responses return the format you did not send as null, only retrieve a profile derives both formats.
[ "SOFTWARE_DEVELOPMENT_PUBLISHING", "IT_CONSULTANCY_TECHNICAL_SUPPORT_SERVICES" ]
Deprecated. New integrations should use industryCategories. See Migrating to industry categories.
Deprecated. New integrations should use industryCategories. See Migrating to industry categories.
Populated only when the profile was classified with the legacy fields, otherwise null. Create and update responses return the format you did not send as null, only retrieve a profile derives both formats.
Deprecated. New integrations should use industryCategories. See Migrating to industry categories.
Populated only when the profile was classified with the legacy fields, otherwise null. Create and update responses return the format you did not send as null, only retrieve a profile derives both formats, where it may return UNMAPPED if the industryCategories combination has no legacy equivalent.
{ "type": "BUSINESS", "id": 14599371, "publicId": "f0e9d8c7-b6a5-4321-fedc-ba9876543210", "userId": 9889627, "address": { "id": 36086782, "addressFirstLine": "24 Willow Creek Lane", "city": "Bristol", "countryIso2Code": "GB", "countryIso3Code": "gbr", "postCode": "BS1 6AE", "stateCode": null }, "email": "info@innovate-solutions.co.uk", "createdAt": "2024-03-10T09:00:00", "updatedAt": "2025-06-18T14:22:00", "currentState": "VISIBLE", "contactDetails": { "email": "contact@innovate-solutions.co.uk", "phoneNumber": "+441617891234" }, "businessName": "Innovate Solutions Ltd", "registrationNumber": "SC1234567890ABCD", "descriptionOfBusiness": "IT_DEVELOPMENT", "webpage": "https://www.innovate-solutions.co.uk", "companyType": "LIMITED_COMPANY", "companyRole": "OWNER", "businessFreeFormDescription": "We create cutting-edge software for businesses.", "firstLevelCategory": "CONSULTING_IT_BUSINESS_SERVICES", "secondLevelCategory": "IT_DEVELOPMENT", "industryCategories": [ "SOFTWARE_DEVELOPMENT_PUBLISHING", "IT_CONSULTANCY_TECHNICAL_SUPPORT_SERVICES" ], "operationalAddresses": [ { "id": 36086782, "addressFirstLine": "24 Willow Creek Lane", "city": "Bristol", "countryIso2Code": "GB", "countryIso3Code": "gbr", "postCode": "BS1 6AE", "stateCode": null } ], "fullName": "Innovate Solutions Ltd" }